Is it possible to use phpbb 2.1?

Discussion of general topics related to the new version and its place in the world. Don't discuss new features, report bugs, ask for support, et cetera. Don't use this to spam for other boards or attack those boards!
Forum rules
Discussion of general topics related to the new release and its place in the world. Don't discuss new features, report bugs, ask for support, et cetera. Don't use this to spam for other boards or attack those boards!
Post Reply
BMWGuy
Registered User
Posts: 147
Joined: Fri Sep 17, 2004 7:28 pm
Location: Michigan, USA
Contact:

Is it possible to use phpbb 2.1?

Post by BMWGuy »

I downloade the development snashot of version 2.1. Is it possible for me to upload and run it on my own website (I currently am running phpbb 2.0.10 on my website)? :)

I'll probably wait for the stable realease----I just want to know if it is even possible to run the snapshot version

BTW:
I have some experience with working with PHP and MySQL databases?
Think that the developers have secretly stopped working on PhpBB v2.2? Think again........see the latest progress HERE:
SamG
Registered User
Posts: 1241
Joined: Fri Aug 31, 2001 6:35 pm

Re: Is it possible to use phpbb 2.1?

Post by SamG »

It's possible but not recommended. Snapshots change frequently, so stability from one snapshot to another can vary. Absolutely no support of any kind is available here. You're on your own for updates as they come along.

With all that understood, you can of course download a CVS snapshot and use it as you dare. :)
"I hate trolls!" - Willow Ufgood
Martin Blank
Registered User
Posts: 687
Joined: Sun May 11, 2003 11:17 am

Re: Is it possible to use phpbb 2.1?

Post by Martin Blank »

I tried the CVS. It may be nicer to you (unless you just got your car washed), but be forewarned: it broke my guitar, stole my girl, keyed my car, and shot my dog. It even drank the last of the milk.
You can never go home again... but I guess you can shop there.
IPB User
Registered User
Posts: 9
Joined: Thu Aug 12, 2004 12:03 am

Re: Is it possible to use phpbb 2.1?

Post by IPB User »

The CVS snapshot works in many ways but there are many things 'broken' in the current ones, at least the one I have. You won't be able to edit the general board settings, backup, replace data, mod cp leads to blank page, can't add profile fields. Its also missing some lanaguage sections. So of course don't use it for a live forum but its fun to get a 'sneak peek' of the new phpBB thats coming. :)
sparkster
Registered User
Posts: 182
Joined: Mon Jan 05, 2004 1:18 am

Re: Is it possible to use phpbb 2.1?

Post by sparkster »

IPB User wrote:The CVS snapshot works in many ways but there are many things 'broken' in the current ones, at least the one I have. You won't be able to edit the general board settings, backup, replace data, mod cp leads to blank page, can't add profile fields. Its also missing some lanaguage sections. So of course don't use it for a live forum but its fun to get a 'sneak peek' of the new phpBB thats coming. Smile
Wow how old is that one? I'm running one from at *least* a month/month and a half ago and all thats there and works. Not sure about DB backup though, would use mysqldump anyway.
Wert
Registered User
Posts: 400
Joined: Tue Jul 03, 2001 8:33 pm

Re: Is it possible to use phpbb 2.1?

Post by Wert »

sparkster wrote: Wow how old is that one? I'm running one from at *least* a month/month and a half ago and all thats there and works. Not sure about DB backup though, would use mysqldump anyway.
In development certain things will break and then be fixed at any given time. Just because you have an old version that seems to work, doesn't mean those sections are not undergoing change that can cause them to be currently non functional.
Need good web hosting? I recommend Hostrocket.
User avatar
kuato
Registered User
Posts: 41
Joined: Fri Feb 13, 2004 11:00 pm
Contact:

Re: Is it possible to use phpbb 2.1?

Post by kuato »

It just takes a lot of experimentation with the latest CVS tarballs to find one that works. I still use one from several months back. It doesn't have the PM code working but it's been very stable for me. Even upgraded my server to PHP 5.0.1 and MySQL 4.1 gamma and phpbb2.1.2 is working great. I just had to fix a few lines of code that was using array_merge improperly with PHP5 that will cause errors were it didn't in PHP4.

Sometimes I pick out a random CVS tarball to try out and usually get an installation error. Some very wierd things creep into the source tree that I wonder how the hell it got checked in :)
Paul Schmidt - aka kuato
My home | My portal for phpbb2.2
nicopaul
Registered User
Posts: 52
Joined: Wed Sep 22, 2004 7:07 pm
Location: Toronto, Ontario, Canada
Contact:

Re: Is it possible to use phpbb 2.1?

Post by nicopaul »

I've decided to give up with trying to install the snapshots. Each time I try to install them I fail miserably.. it keeps giving me that darn *cannot write to config.php* message. :( But I didn't dare ask for support. ;)

nico
nicopaul - known as "pianistsk8er" on the main site.

Visit my classical music website/forum.
nicopaul
Registered User
Posts: 52
Joined: Wed Sep 22, 2004 7:07 pm
Location: Toronto, Ontario, Canada
Contact:

Re: Is it possible to use phpbb 2.1?

Post by nicopaul »

Oddly enough, I have just managed to install it! :)

Looking very cool! ^_^

nico
nicopaul - known as "pianistsk8er" on the main site.

Visit my classical music website/forum.
Post Reply